org.minidns.edns

## Class Nsid

- java.lang.Object
- - org.minidns.edns.EdnsOption
  - - org.minidns.edns.Nsid

-     public class Nsid
      extends EdnsOption

  EDNS NSID (Name Server Identifier) option.
  See Also:
    RFC 5001 - DNS Name Server Identifier (NSID) Option

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Nsid` | `REQUEST` NSID request instance with empty payload.

    - ### Fields inherited from class org.minidns.edns.EdnsOption

      `optionCode, optionData, optionLength`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Nsid(byte[] payload)` Creates a new NSID option with the specified payload.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected CharSequence` | `asTerminalOutputInternal()` Returns the terminal output representation of this EDNS option.
    `Edns.OptionCode` | `getOptionCode()` Returns the option code for this EDNS option.
    `protected CharSequence` | `toStringInternal()` Returns the string representation of this EDNS option.

    - ### Methods inherited from class org.minidns.edns.EdnsOption

      `asTerminalOutput, parse, toString, writeToDos`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### REQUEST

          public static final Nsid REQUEST

      NSID request instance with empty payload.

  - ### Constructor Detail

    - #### Nsid

          public Nsid(byte[] payload)

      Creates a new NSID option with the specified payload.
      Parameters:
        `payload` - the NSID payload data

  - ### Method Detail

    - #### asTerminalOutputInternal

          protected CharSequence asTerminalOutputInternal()

      Description copied from class: `EdnsOption`
      Returns the terminal output representation of this EDNS option.
      Specified by:
        `asTerminalOutputInternal` in class `EdnsOption`
      Returns:
        the terminal output representation

    - #### getOptionCode

          public Edns.OptionCode getOptionCode()

      Description copied from class: `EdnsOption`
      Returns the option code for this EDNS option.
      Specified by:
        `getOptionCode` in class `EdnsOption`
      Returns:
        the option code

    - #### toStringInternal

          protected CharSequence toStringInternal()

      Description copied from class: `EdnsOption`
      Returns the string representation of this EDNS option.
      Specified by:
        `toStringInternal` in class `EdnsOption`
      Returns:
        the string representation